<template>
  <span v-if="split_inf">kløyvd infinitiv: <em>-a</em>
      <v-menu tile 
              v-model="menu" 
              offset-x max-width="200px">
        <template v-slot:activator="{ on, attrs }">
          <v-btn aria-label="Mer informasjon om kløyvd infinitiv" 
                 x-small
                 icon 
                 v-on="on" 
                 v-bind="attrs" 
                 class="info-button">
            <v-icon color="primary" 
                    size="14px">$vuetify.icons.value.info</v-icon>
          </v-btn>
        </template>
        <v-card tile 
                class="info-card">
          Dersom du bruker kløyvd infinitiv, skal dette verbet ha <em>-a</em> i infinitiv. Les meir
          <a target="_blank" 
             href="https://www.sprakradet.no/svardatabase/sporsmal-og-svar/kloyvd-infinitiv-/">her</a>.
        </v-card>
      </v-menu>
    </span>
</template>

<script>

export default {
    name: "SplitInf",
    props: {
        lemmas: Array
    },
    data: function() {
    return {
      menu: false,
      long_lemma: false
    }
  },
    computed: {
          split_inf: function() {
      return this.lemmas[0].split_inf
      }
    }
  
}

</script>
